FieldGroup< BaseTypeList_T, Dims_T >::DoWsBoundsOptimization Struct Reference

`#include <FieldGroup.h>`

## Public Member Functions

| DoWsBoundsOptimization (const bool doWsBoundsOptimization)
| Ctor.
template<typename WrapperVec_T>
void | operator() (WrapperVec_T &vec) const
| Functor.

## Public Attributes

bool | m_doWsBoundsOptimization
| Enable world space bounds optimization.

## Detailed Description

template<typename BaseTypeList_T, int Dims_T>
struct FieldGroup< BaseTypeList_T, Dims_T >::DoWsBoundsOptimization

Definition at line 956 of file FieldGroup.h.

## Constructor & Destructor Documentation

## DoWsBoundsOptimization()

template<typename BaseTypeList_T, int Dims_T>

FieldGroup< BaseTypeList_T, Dims_T >::DoWsBoundsOptimization::DoWsBoundsOptimization | ( | const bool | doWsBoundsOptimization | ) |

inline

Ctor.

Definition at line 959 of file FieldGroup.h.

: m_doWsBoundsOptimization(doWsBoundsOptimization)
{ }
FieldGroup::DoWsBoundsOptimization::m_doWsBoundsOptimization
bool m_doWsBoundsOptimization
Enable world space bounds optimization.
Definition FieldGroup.h:971
FieldGroup
Definition FieldGroup.h:304

References m_doWsBoundsOptimization.

## Member Function Documentation

## operator()()

template<typename BaseTypeList_T, int Dims_T>
template<typename WrapperVec_T>

void FieldGroup< BaseTypeList_T, Dims_T >::DoWsBoundsOptimization::operator() | ( | WrapperVec_T & | vec | ) | const

inline

Functor.

Definition at line 964 of file FieldGroup.h.

{
for (size_t i = 0, end = vec.size(); i < end; ++i) {
vec[i].setWsBoundsOptimization(m_doWsBoundsOptimization);
}
}
FieldGroup::size
virtual size_t size() const
The number of fields in the group.
Definition FieldGroup.h:689
FieldGroup::setWsBoundsOptimization
virtual void setWsBoundsOptimization(const bool doWsBoundsOptimization)
Enable world axis aligned bounding box in lookups. This will be used for subsequent setup() and load(...
Definition FieldGroup.h:511

References m_doWsBoundsOptimization.

## Member Data Documentation

## m_doWsBoundsOptimization

template<typename BaseTypeList_T, int Dims_T>

bool FieldGroup< BaseTypeList_T, Dims_T >::DoWsBoundsOptimization::m_doWsBoundsOptimization

Enable world space bounds optimization.

Definition at line 971 of file FieldGroup.h.

Referenced by DoWsBoundsOptimization(), and operator()().

The documentation for this struct was generated from the following file:

- export/FieldGroup.h